
unit SelectFolderExF;

interface

uses
  Windows, Messages, SysUtils, Classes, Forms, StdCtrls, Controls;

type
  TSelectFolderExForm = class(TForm)
    FolderBtn: TButton;
    FolderEdit: TEdit;
    FolderStaticText: TStaticText;
    CloseBtn: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormShow(Sender: TObject);
    procedure CloseBtnClick(Sender: TObject);
    procedure FolderBtnClick(Sender: TObject);
  private
    InitDir: string;
  public
    { Public 錾 }
  end;

var
  SelectFolderExForm: TSelectFolderExForm = nil;

implementation

uses
  S_FolderEx;

{$R *.dfm}

procedure TSelectFolderExForm.FormCreate(Sender: TObject);
begin
{$IFDEF WIN64}
  Self.Caption := '[TEST] tH_[̎Q 64';
{$ELSE}
  Self.Caption := '[TEST] tH_[̎Q 32';
{$ENDIF}
  InitDir := '';
end;

procedure TSelectFolderExForm.FormShow(Sender: TObject);
var
  R: TRect;
begin
  R := Screen.WorkAreaRect;
  Self.Left := R.Left + 10;
  Self.Top := R.Top + 10;
end;

procedure TSelectFolderExForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caFree;
  SelectFolderExForm := nil;
end;

procedure TSelectFolderExForm.CloseBtnClick(Sender: TObject);
begin
  Self.Close;
end;

procedure TSelectFolderExForm.FolderBtnClick(Sender: TObject);
var
  Dir: string;
begin
  FolderEx := TFolderEx.Create(Self);
  if FolderEx <> nil then
  begin
    try
{$IFDEF WIN64}
      FolderEx.Title := 'tH_[̎Q 64';
{$ELSE}
      FolderEx.Title := 'tH_[̎Q 32';
{$ENDIF}
      FolderEx.Comment := 'tH_w肵ĂB';
      if InitDir = '' then
        FolderEx.DefaultFolder := 'C:\'
      else
        FolderEx.DefaultFolder := InitDir;
      Dir := FolderEx.Execute;
      if Dir <> '' then
      begin
        FolderEdit.Text := Dir;
        InitDir := Dir;
      end;
    finally
      FreeAndNil(FolderEx);
    end;
  end;
end;

end.
